Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class Remoting

    java.lang.Object
      org.jboss.aspects.remoting.Remoting

public class Remoting
extends Object

Version:
  $Revision: 1.2.2.5 $
Author:
  Bill Burke

Constructor Summary
`Remoting()`

Method Summary
`static Object` | `createPojiProxy(Object oid, Class[] interfaces, String uri)` Does'nt propagate security/tx
`static org.jboss.aop.proxy.ClassProxy` | `createRemoteProxy(Object objectId, Class clazz, org.jboss.remoting.InvokerLocator locator)`
`static org.jboss.aop.proxy.ClassProxy` | `createRemoteProxy(Object objectId, Class clazz, String uri)`
`static void` | `makeRemotable(org.jboss.aop.InstanceAdvised proxy, org.jboss.remoting.InvokerLocator locator, Object objectId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Remoting

    public Remoting()

Method Detail

### createRemoteProxy

    public static org.jboss.aop.proxy.ClassProxy createRemoteProxy(Object objectId,
                                                                   Class clazz,
                                                                   String uri)
                                                            throws Exception

  Throws:
    `Exception`

### createRemoteProxy

    public static org.jboss.aop.proxy.ClassProxy createRemoteProxy(Object objectId,
                                                                   Class clazz,
                                                                   org.jboss.remoting.InvokerLocator locator)
                                                            throws Exception

  Throws:
    `Exception`

### createPojiProxy

    public static Object createPojiProxy(Object oid,
                                         Class[] interfaces,
                                         String uri)
                                  throws Exception

  Does'nt propagate security/tx

  Parameters:
    `oid` -
    `interfaces` -
    `uri` -
  Returns:
  Throws:
    `Exception`

### makeRemotable

    public static void makeRemotable(org.jboss.aop.InstanceAdvised proxy,
                                     org.jboss.remoting.InvokerLocator locator,
                                     Object objectId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.